メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
people
/
{peopleId}
/
accounts
List all SaaS accounts belonging to a person
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people/{peopleId}/accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people/{peopleId}/accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people/{peopleId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  },
  "items": [
    {
      "id": "123#jessica.jones@addresss.com",
      "identityId": "AHF5GF12",
      "username": "jessia-jones",
      "displayName": "Jessia Jones",
      "email": "jessica.jones@address.com",
      "roles": [
        "Member",
        "Admin"
      ],
      "status": "active",
      "employeeStatus": "active",
      "employeeType": "collaborator",
      "employeeManagementType": "system",
      "twoFa": true,
      "uniqueKey": "unique_key",
      "lastActivity": "Mon Jan 24 2022 13:20:31 GMT+0900 (Japan Standard Time)",
      "isInactive": false,
      "licenses": [
        "Basic",
        "Basic Plus",
        "Pro",
        "Business"
      ],
      "workspace": {
        "id": 1,
        "organizationId": 1,
        "serviceId": 1,
        "authenType": "api",
        "workspaceName": "iggre",
        "aggreKey": "iggre",
        "lastExecutionStatus": "processing",
        "lastExecutionTime": "2020-11-11 10:00:00",
        "lastUsedAt": "2020-11-11 10:00:00",
        "lastExecutionResultId": "SUCCESS",
        "lastExecutionResultCode": 200,
        "lastExecutionResultMessage": "NOT_FOUND",
        "provisioningCredentialEnabled": false,
        "description": "Description of the workspace",
        "showDescription": false,
        "isCustomWorkspace": false,
        "deviceAggregationStatus": "finished",
        "service": {
          "id": 1,
          "name": "Google",
          "uniqueName": "google",
          "url": "https://google.com",
          "isEmployeeMasterService": true,
          "adminUrl": "https://admin.google.com/u/0/ac/home",
          "userManagementUrl": "https://admin.google.com/u/0/ac/users",
          "serviceTopUrl": "https://workspace.google.com/products/admin/",
          "guidanceUrl": "https://notion.link/google",
          "serviceAlternateUrls": [
            "www.slides.google.com",
            "www.docs.google.com",
            "www.sheets.google.com"
          ],
          "aggreTypes": [
            {
              "name": "aggregateAll",
              "authenTypes": [
                {
                  "name": "oauth",
                  "requiredAttributes": [
                    "username",
                    "password"
                  ],
                  "optionalAttributes": [
                    "secretKey"
                  ],
                  "permittedAttributes": [
                    "aggreKey"
                  ],
                  "separatelyUpdatableAttributes": [
                    "groups"
                  ],
                  "permissions": [
                    "read-write",
                    "read"
                  ],
                  "variant": "enterprisePlan"
                }
              ]
            }
          ],
          "canDeleteAccount": false,
          "canDeactivateAccount": false,
          "canAggregateSpend": false,
          "canAggregateFiles": false,
          "canManageFilePermissions": false,
          "canOnlyAggregatePublicFiles": false,
          "canAggregateDevices": false,
          "canPerformMatching": true,
          "canProvisionAccount": false,
          "isCustomService": false,
          "isIdentityProvider": false,
          "serviceMeta": {
            "id": 1,
            "vendorName": "Example Vendor",
            "vendorCountryOfOrigin": "Japan",
            "termsOfUseUrl": "https://example.com",
            "privacyPolicyUrl": "https://example.com",
            "dataSecurityPolicyUrl": "https://example.com",
            "certifications": [
              {
                "name": "Example",
                "url": "https://example.com"
              }
            ]
          }
        },
        "workspaceMeta": {
          "id": 1,
          "workspaceId": 1,
          "organizationId": 1,
          "note": "Example note",
          "businessImpactLevel": "low",
          "dataStoreRegion": "ap-northeast-1",
          "piiEnabled": false,
          "pii": "Example note",
          "confidentialInfo": "confidential",
          "securityImpactLevel": "low",
          "vendorName": "Example Vendor",
          "vendorRelationship": "Example Vendor Relationship",
          "vendorPhone": "12345567890",
          "vendorMailAddress": "Example Vendor Mail address"
        },
        "billingManagers": [
          {
            "id": 1,
            "avatar": "avatar",
            "displayName": "Example name",
            "primaryEmail": "Example email"
          }
        ],
        "peopleInCharge": [
          {
            "id": 1,
            "avatar": "avatar",
            "displayName": "Example name",
            "primaryEmail": "Example email"
          }
        ],
        "creator": {
          "id": 1,
          "email": "foo.bar@example.com",
          "name": "foo.bar",
          "location": "jp",
          "roles": [
            {
              "id": 1,
              "name": "Admin"
            }
          ],
          "status": "active"
        },
        "accountCount": 123,
        "identityProviderWorkspaceId": 123,
        "customWorkspaceType": "google_sheet"
      },
      "costs": [
        {
          "amount": 100,
          "currency": "usd"
        }
      ]
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
peopleId
number
必須

クエリパラメータ

limit
number

Limit the number of results returned. Maximum 200.

必須範囲: x <= 200
:

50

cursor
string

Cursor to paginate through results.

role
enum<string>

Filter results by role (not all SaaS support this filter).
admin - only SaaS admin accounts
guest - only SaaS guest accounts
other - SaaS accounts that are neither admin nor guest

利用可能なオプション:
admin,
guest,
other
twoFa
boolean

Filter results by two-factor authentication availability.

keyword
string

Filter results by SaaS name or workspace name (partial match supported).

serviceIds
number[]

Filter results by service ID. Accepts multiple options.

:
[1, 2, 3]
workspaceIds
number[]

Filter results by workspace ID. Accepts multiple options.

:
[1, 2, 3]
sortBy
enum<string>

Sort results by a specific field.

利用可能なオプション:
service,
twoFa,
lastActivity
sortOrder
enum<string>

Sort results in ascending or descending order. Defaults to ASC.

利用可能なオプション:
DESC,
ASC
licenses
string[]

Filter results by license. Accepts multiple options.

:
["license1", "license2"]
status
enum<string>

Filter results by status.

利用可能なオプション:
active,
suspended,
on_leave

レスポンス

200 - application/json
meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月10日